#include <iostream>

using namespace std;

int main()
{
    int n;
    cin>>n;
    int days[n];
    int periods [n];
    for(int i=0;i<n;i++)
    {
        cin>>days[i]>>periods[i];
    }
    for(int i=1;i<n;i++)
    {
        for(int j=i-1;j>=0;j--)
        {
          if(periods[j]>periods[j+1])
          {
              int t=periods[j];
              periods[j]=periods[j+1];
              periods[j+1] = t;
              t=days[j];
              days[j]=days[j+1];
              days[j+1]=t;
          }
        }
    }
    int t=0,s=0;
    for(int i=0;i<n;i++)
    {
         if(t+periods[i]<=days[i])
         {
             t+=periods[i];
             s++;
         }
    }

     for(int i=1;i<n;i++)
    {
        for(int j=i-1;j>=0;j--)
        {
          if(days[j]>days[j+1])
          {
              int t=periods[j];
              periods[j]=periods[j+1];
              periods[j+1] = t;
              t=days[j];
              days[j]=days[j+1];
              days[j+1]=t;
          }
        }
    }
    int t1=0,s1=0;
    for(int i=0;i<n;i++)
    {
         if(t1+periods[i]<=days[i])
         {
             t1+=periods[i];
             s1++;
         }
    }
    for(int i=1;i<n;i++)
    {
        for(int j=i-1;j>=0;j--)
        {
          if(periods[j]<periods[j+1])
          {
              int t=periods[j];
              periods[j]=periods[j+1];
              periods[j+1] = t;
              t=days[j];
              days[j]=days[j+1];
              days[j+1]=t;
          }
        }
    }
    int t2=0,s2=0;
    for(int i=0;i<n;i++)
    {
         if(t2+periods[i]<=days[i])
         {
             t2+=periods[i];
             s2++;
         }
    }

     for(int i=1;i<n;i++)
    {
        for(int j=i-1;j>=0;j--)
        {
          if(days[j]<days[j+1])
          {
              int t=periods[j];
              periods[j]=periods[j+1];
              periods[j+1] = t;
              t=days[j];
              days[j]=days[j+1];
              days[j+1]=t;
          }
        }
    }
    int t3=0,s3=0;
    for(int i=0;i<n;i++)
    {
         if(t3+periods[i]<=days[i])
         {
             t3+=periods[i];
             s3++;
         }
    }
    s = max(s, s1);
    s = max(s, s2);
    s = max(s, s3);
    cout<< s <<endl;
    return 0;
}
